<template>
	<div>
		<p>Crunch Menu</p>
		<div v-for="(item, index) in items">
			<slot :name="index"></slot>
		</div>
	</div>
</template>

<script>
	
	import axios from 'axios';

	export default {
		name: 'CrunchMenu',
		data () {
			return {
				items: []
			}
		},
		beforeMount(){

		},
		mounted(){
			console.log(this)
			// console.log(this.$slots.default)
			this.$slots.default.forEach( vnode => {
				if(vnode.tag && vnode.tag.length > 0){
					this.items.push(vnode)
				}
			})

			console.log(this.items)
		},
		methods: {
			onClickTag(index){
				console.log('yup')
			},
		}
	}
</script>
<style type="text/css" scoped>
</style>